API7 Docs

Issue a data plane certificate on a gateway group

POST /api/gateway_groups/{gateway_group_id}/dp_client_certificates

POST /api/gateway_groups/{gateway_group_id}/dp_client_certificates

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Path Parameters

gateway_group_id*string

Gateway group ID.

Length1 <= length

Request Body

application/json

Response Body

application/json

curl -X POST "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/dp_client_certificates" \  -H "Content-Type: application/json" \  -d '{}'

Data plane certificate issued successfully.

{
  "value": {
    "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
    "certificate": "-----BEGIN CERTIFICATE-----\\n...\\n-----END CERTIFICATE-----\\n",
    "private_key": "-----BEGIN PRIVATE KEY-----\\n...\\n-----END PRIVATE KEY-----\\n",
    "expiry": 1742288230
  }
}
Complete operation details and schema variants

POST /api/gateway_groups/{gateway_group_id}/dp_client_certificates

Issue a data plane certificate on a gateway group

Issue a client TLS certificate for data plane instances in the specified gateway group to authenticate with the control plane. Use this during gateway bootstrap or certificate rotation.

Required IAM Permission: Action gateway:CreateGatewayInstance, Resource arn:api7:gateway:gatewaygroup/%s

Parameters

  • gateway_group_id (path, string, required): Gateway group ID.

Request body

Content type: application/json

  • validity_period (integer, optional): The validity period of the certificate in days.

Responses

  • 200: Data plane certificate issued successfully.
  • allOf variant 1
  • value (object, optional): The specific resource.
  • allOf variant 2
  • value (object, optional):
  • value.id (string, optional): Certificate ID.
  • value.certificate (string, optional): Certificate content.
  • value.private_key (string, optional): Private key content.
  • value.expiry (integer, optional): Expiration of the certificate.

cURL

curl -X POST '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/dp_client_certificates'